<!DOCTYPE html>
<html prefix="og: http://ogp.me/ns#" lang="{{ app.request.locale|e('html_attr') }}" class="lang-base-{{ (app.request.locale|e('html_attr')|split('_', 2))[0] }}" x-ajax-landing="{{ ajax_landing }}">
<head>
    {% block html_head %}
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
        <meta charset="UTF-8" />

        <!-- Tell mobile devices not to perform desktop scaling -->
        <meta name="viewport" content="width=device-width, user-scalable=no">

        <!-- Set the base URL to account for virtual mod_rewrite URLs -->
        <base target="_blank" href="{{ app.request.getBaseURL() }}">

        <!-- Set OG tags for Social Network Ads :] -->
        <meta property="og:title" content="MyHordes">
        <meta property="og:description" content="{{ 'Das Zombie Survival Game!'|trans({}, 'global')}}">
        <meta property="og:image" content="{{ absolute_url(asset('build/images/favicon.ico')) }}">
        <meta property="og:url" content="{{ app.request.uri }}">
        <meta property="og:type" content="website">
        <meta property="og:locale" content="de_DE" />
        <meta property="og:locale:alternate" content="fr_FR" />
        <meta property="og:locale:alternate" content="es_ES" />
        <meta property="og:locale:alternate" content="en_US" />
        <meta property="og:image" content="{{ absolute_url(asset('build/images/myhordes-og.png')) }}" />

        <!-- Load CSS -->
        {{ encore_entry_link_tags('app') }}
        {{ encore_entry_link_tags('prime') }}
        {{ encore_entry_link_tags('fa') }}

        <!-- Load JS -->
        {{ encore_entry_script_tags('app') }}
        {{ encore_entry_script_tags('prime') }}
        {{ encore_entry_script_tags('fa', null, '_default', {'defer': true}) }}

        <!-- Set Favicon -->
        {{ include('build/favicons.html.twig') }}

        <!-- Set page title -->
        <title>MyHordes</title>
    {% endblock %}
</head>
<body onclick class="offline_body page-attract">
<div id="wrapper" class="attract">
    <div id="header">
        <div class="deco_logo pointer"></div>
        <div class="attract_button">
            <a href="{{ url('public_login') }}" target="_self"><span>{{ 'Spielen!'|trans({},'welcome') }}</span></a>
        </div>
        <div class="back-dash hidden">{{ 'Startseite'|trans({},'welcome') }}</div>
    </div>

    <div id="content">
        <noscript>
            <div class="row">
                <div class="cell padded rw-12">
                    <h1>JavaScript required</h1>
                    <p>This website requires JavaScript to work. You are seeing this page because JavaScript is either disabled or blocked in your browser.</p>
                    <p>If you are using Adblockers or Scriptblockers, please disable them to use this website.</p>
                </div>
            </div>
        </noscript>
    </div>

    <div id="footer"></div>
</div>
<div id="tooltip_container"></div>
<div id="loadzone" x-stack="0">
    <div></div>
</div>
<div id="modal-backdrop">
    <div id="modal">
        <div id="modal-title"></div>
        <div id="modal-content"></div>
        <div id="modal-actions"></div>
    </div>
</div>
</body>
<footer class="{% if custom_css is defined and custom_css != '' %}{{ custom_css }}{% endif %}">
    {% block footer %}
        <div class="row">
            <div class="padded cell footer rw-5 rw-sm-12 justify">
                <div>
                    <strong>MyHordes</strong>
                    <div class="content">
                        {{ 'Dies ist ein Fan-Projekt für die Spiele {dv}, {d2n}, {hordes} und {zn} von <b>MotionTwin</b>.'|trans({'dv': '<a href="http://dieverdammten.de">Die Verdammten</a>', 'd2n': '<a href="http://die2nite.com/">Die2Nite</a>', 'hordes': '<a href="http://hordes.fr/">Hordes</a>', 'zn': '<a href="http://www.zombinoia.com/">Zombinoia</a>' },'global')|raw }}
                        {{ 'All Grafiken stammen aus diesen Spielen, wenn nicht explizit anders angegeben, und sind damit Eigentum von <b>MotionTwin</b>'|trans({},'global')|raw }}
                        <br /><br />
                        {{ 'MyHordes ist <i>Open Source</i> und jeder ist zur <b>Mitwirkung</b> eingeladen. Du findest den Quellcode bei {gitlab} und kannst dort auch Fehler melden.'|trans({'gitlab': '<a href="https://gitlab.com/eternaltwin/myhordes/myhordes/-/issues">Gitlab</a>'},'global')|raw }}
                        <br /><br />
                        {{ 'MyHordes ist ein Teil des {etwin} Projekts, du kannst uns auf {opencollective} mit einer Spende unterstützen.'|trans({'etwin': '<a href="https://eternal-twin.net">EternalTwin</a>', 'opencollective': '<a href="https://opencollective.com/eternaltwin">OpenCollective</a>'},'global')|raw }}
                    </div>
                </div>
            </div>
            <div class="padded cell-small footer rw-7 rw-sm-24 center">
                <div>
                    <strong>{{ 'Aktuelles Team'|trans({}, 'global') }}</strong>
                    <div class="content">
                        {% for dev in devs|filter(a => a[0] == 0) %}
                            <div title="{{ dev[3]|trans({},'global') }}"><i class="fa fa-{{ dev[1] }}"></i> {{ dev[2]|raw }}</div>
                        {% endfor %}
                    </div>
                    <strong>{{ 'Unterstützung'|trans({}, 'global') }}</strong>
                    <div class="content">
                        {% for dev in devs|filter(a => a[0] == 1) %}
                            <div title="{{ dev[3]|trans({},'global') }}"><i class="fa fa-{{ dev[1] }}"></i> {{ dev[2]|raw }}</div>
                        {% endfor %}
                    </div>
                    <strong>{{ 'Inaktive'|trans({}, 'global') }}</strong>
                    <div class="content">
                        {% for dev in devs|filter(a => a[0] == 2) %}
                            <div title="{{ dev[3]|trans({},'global') }}"><i class="fa fa-{{ dev[1] }}"></i> {{ dev[2]|raw }}</div>
                        {% endfor %}
                    </div>
                </div>
            </div>
            <div class="padded cell-small footer rw-7 rw-sm-24 center">
                <div>
                    <strong>{{ 'Danke an'|trans({}, 'global') }}</strong>
                    <div class="content">
                        {% for supporter in supporters %}
                            <i>{{ supporter }}</i>{% if not loop.last %},{% endif %}
                        {% endfor %}
                    </div>
                </div>

                <div>
                    <strong>{{ 'Rechtliche Informationen'|trans({}, 'global') }}</strong>
                    <div class="content">
                        <a href="{{ url('legal_doc_default', {document: 'tos'}) }}">{{ 'Nutzungsbedingungen'|trans({}, 'global') }}</a><br/>
                        <a href="{{ url('legal_doc_default', {document: 'privacy-policy'}) }}">{{ 'Datenschutzerklärung'|trans({}, 'global') }}</a><br/>
                        <a href="{{ url('legal_doc_default', {document: 'imprint'}) }}">{{ 'Impressum'|trans({}, 'global') }}</a>
                    </div>
                </div>

                <div class="v">
                    {% include "web/version_info.html.twig" with {debug, version} only %}
                </div>
            </div>
        </div>
    {% endblock %}
</footer>
<script>
    (function() {
        document.querySelector('.deco_logo').addEventListener('click', () => {
            window.location.href = $.ajax.getBaseURL();
        })
        document.querySelector('.back-dash').addEventListener('click', () => {
            $.ajax.load(null, '{{ path('public_welcome') }}', true);
        })
        document.addEventListener('mh-navigation-complete', e => {
            document.querySelector('.back-dash').classList.toggle('hidden', e.detail.url === '{{ path('public_welcome') }}' || e.detail.url === '{{ path('initial_landing') }}' || e.detail.url === '{{ path('maintenance_attack') }}')
        });
    })();
</script>
</html>
